/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ResourceQuotaDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ResourceQuotaDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ResourceQuotaDto
        //private ResourceQuotaDto instance;

        public ResourceQuotaDtoTests()
        {
            // TODO uncomment below to create an instance of ResourceQuotaDto
            //instance = new ResourceQuotaDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ResourceQuotaDto
        /// </summary>
        [Fact]
        public void ResourceQuotaDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ResourceQuotaDto
            //Assert.IsType<ResourceQuotaDto>(instance);
        }

        /// <summary>
        /// Test the property 'Resource'
        /// </summary>
        [Fact]
        public void ResourceTest()
        {
            // TODO unit test for the property 'Resource'
        }

        /// <summary>
        /// Test the property 'UsedPercentage'
        /// </summary>
        [Fact]
        public void UsedPercentageTest()
        {
            // TODO unit test for the property 'UsedPercentage'
        }

        /// <summary>
        /// Test the property 'Used'
        /// </summary>
        [Fact]
        public void UsedTest()
        {
            // TODO unit test for the property 'Used'
        }

        /// <summary>
        /// Test the property 'Reserved'
        /// </summary>
        [Fact]
        public void ReservedTest()
        {
            // TODO unit test for the property 'Reserved'
        }
    }
}
